<?xml version="1.0" encoding="UTF-8" ?>
<!-- $Id: texmath.xsl 2680 2010-05-02 17:18:26Z michalr $ -->
<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

    <!-- Nastavení parametrů výstupu. -->
    <xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>

    <!-- Vyznačení začátku a konce matematiky. -->
    <xsl:template match="texmath">
        
        <xsl:if test="@textype='inline'">
            <xsl:text>$</xsl:text>
        </xsl:if>
        <xsl:if test="@textype='display'">
            <xsl:text>\[</xsl:text>
        </xsl:if>
        <xsl:if test="@textype='equation'">
            <xsl:text>\begin{equation}</xsl:text>
        </xsl:if>
        <xsl:if test="@textype='equation*'">
            <xsl:text>\begin{equation*}</xsl:text>
        </xsl:if>
        <xsl:if test="@textype='eqnarray'">
            <xsl:text>\begin{eqnarray}</xsl:text>
        </xsl:if>
        <xsl:if test="@textype='eqnarray*'">
            <xsl:text>\begin{eqnarray*}</xsl:text>
        </xsl:if>
        <xsl:if test="@textype='multline'">
            <xsl:text>\begin{multline}</xsl:text>
        </xsl:if>
        <xsl:if test="@textype='multline*'">
            <xsl:text>\begin{multline*}</xsl:text>
        </xsl:if>
        <xsl:if test="@textype='gather*'">
            <xsl:text>\begin{gather}</xsl:text>
        </xsl:if>
        <xsl:if test="@textype='gather*'">
            <xsl:text>\begin{gather*}</xsl:text>
        </xsl:if>
        <xsl:if test="@textype='@align'">
            <xsl:text>\begin{align}</xsl:text>
        </xsl:if>
        
        <xsl:value-of select="."/>
        
        <xsl:if test="@textype='inline'">
            <xsl:text>$</xsl:text>
        </xsl:if>
        <xsl:if test="@textype='display'">
            <xsl:text>\]</xsl:text>
        </xsl:if>
        <xsl:if test="@textype='equation'">
            <xsl:text>\end{equation}</xsl:text>
        </xsl:if>
        <xsl:if test="@textype='equation*'">
            <xsl:text>\end{equation*}</xsl:text>
        </xsl:if>
        <xsl:if test="@textype='eqnarray'">
            <xsl:text>\end{eqnarray}</xsl:text>
        </xsl:if>
        <xsl:if test="@textype='eqnarray*'">
            <xsl:text>\end{eqnarray*}</xsl:text>
        </xsl:if>
        <xsl:if test="@textype='multline'">
            <xsl:text>\end{multline}</xsl:text>
        </xsl:if>
        <xsl:if test="@textype='multline*'">
            <xsl:text>\end{multline*}</xsl:text>
        </xsl:if>
        <xsl:if test="@textype='gather*'">
            <xsl:text>\end{gather}</xsl:text>
        </xsl:if>
        <xsl:if test="@textype='gather*'">
            <xsl:text>\end{gather*}</xsl:text>
        </xsl:if>
        <xsl:if test="@textype='@align'">
            <xsl:text>\end{align}</xsl:text>
        </xsl:if>
        
    </xsl:template>

</xsl:transform>
